Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.io
Class BinaryOutputStream

    java.lang.Object
      juzu.io.BinaryOutputStream

All Implemented Interfaces:
  Closeable, Flushable, Stream, Stream.Binary

    public class BinaryOutputStream

extends Object
implements Stream.Binary

Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from interface juzu.io.Stream
`Stream.Binary, Stream.Char`

Constructor Summary
`BinaryOutputStream(OutputStream delegate)`

Method Summary
`Stream.Binary` | `append(byte[] data)`
`Stream.Binary` | `append(byte[] data, int off, int len)`
`void` | `close()`
`void` | `flush()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryOutputStream

    public BinaryOutputStream(OutputStream delegate)

Method Detail

### append

    public Stream.Binary append(byte[] data)
                         throws IOException

  Specified by:
    `append` in interface `Stream.Binary`
  Throws:
    `IOException`

### append

    public Stream.Binary append(byte[] data,
                                int off,
                                int len)
                         throws IOException

  Specified by:
    `append` in interface `Stream.Binary`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 eXo Platform SAS. All Rights Reserved.